Bug 35986 - Parts of EMF file not visible/stretched to an enormous extent
Summary: Parts of EMF file not visible/stretched to an enormous extent
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
4.4.0.3 release
Hardware: All All
: medium normal
Assignee: Bartosz
URL:
Whiteboard: target:7.1.0 target:7.0.4
Keywords:
Depends on:
Blocks: EMF-WMF
  Show dependency treegraph
 
Reported: 2011-04-05 04:01 UTC by whatisand
Modified: 2020-11-17 09:07 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
EMF file which contains curves, axes and a legend (130.02 KB, image/x-emf)
2011-04-05 04:01 UTC, whatisand
Details
How it look as image (184.17 KB, image/jpeg)
2015-02-08 10:32 UTC, seven
Details
load and save emf in irfanview 4.53 (130.02 KB, image/x-emf)
2019-08-23 18:02 UTC, paulystefan
Details
load irfanview emf and lo 6.3.0.4 runs well (144.51 KB, application/vnd.oasis.opendocument.graphics)
2019-08-23 18:04 UTC, paulystefan
Details
export pdf in 6.3.0.4 from irfanview emf (37.97 KB, application/pdf)
2019-08-23 18:06 UTC, paulystefan
Details
Office 365 on MacOS (52.48 KB, image/png)
2019-11-22 06:30 UTC, Chris Sherlock
Details
load and save emf in irfanview 454 (2.78 MB, image/x-emf)
2020-04-08 12:20 UTC, paulystefan
Details
load original and irfanview emf in LO Draw (202.02 KB, application/vnd.oasis.opendocument.graphics)
2020-04-08 12:23 UTC, paulystefan
Details
EMF image exported to PNG by Paint (55.37 KB, image/png)
2020-11-11 23:26 UTC, Bartosz
Details

Note You need to log in before you can comment on or make changes to this bug.
Description whatisand 2011-04-05 04:01:50 UTC
Created attachment 45274 [details]
EMF file which contains curves, axes and a legend

An EMF graphics file which contains some curves, axes and a legend is displayed like this: the axes are visible while the legend and the curves are invisible. When doing a right-click->break on the graphic, the legend appears in the correct spot. The curves are also visible, however, they are enourmously expanded beyond the drawing area of the A4 frame and it quite complicated to get them back to some correct size. 

I will add the EMF file in question as an attachment
Comment 1 Jan Holesovsky 2011-04-14 04:31:09 UTC Comment hidden (obsolete)
Comment 2 Michael Cook 2011-12-06 12:34:38 UTC Comment hidden (no-value)
Comment 3 Michael Cook 2011-12-06 12:35:46 UTC Comment hidden (no-value)
Comment 4 Michael Cook 2011-12-07 05:55:40 UTC Comment hidden (no-value)
Comment 5 Timur 2014-10-20 15:52:37 UTC Comment hidden (no-value)
Comment 6 seven 2015-02-08 10:32:48 UTC
Created attachment 113221 [details]
How it look as image

Opened from Paint in Windows 8.1
Comment 7 seven 2015-02-08 10:36:45 UTC Comment hidden (obsolete)
Comment 8 tommy27 2015-08-14 18:40:35 UTC Comment hidden (obsolete)
Comment 9 Timur 2015-08-17 15:53:42 UTC Comment hidden (obsolete)
Comment 10 Timur 2017-08-30 16:46:12 UTC
Repro in 6.0+ with new EMF+.
Comment 11 QA Administrators 2018-11-07 04:01:41 UTC Comment hidden (obsolete)
Comment 12 Roman Kuznetsov 2019-03-05 08:58:37 UTC
still repro in

Version: 6.3.0.0.alpha0+
Build ID: d81a11220d76eeecac80b27b25a4576b6e78210b
CPU threads: 4; OS: Windows 6.1; UI render: default; VCL: win; 
Locale: ru-RU (ru_RU); UI-Language: en-US
Calc: threaded
Comment 13 paulystefan 2019-04-01 17:47:08 UTC
work around

open emf with irfanview or other viewer, 

copy the image,

insert image in LO.

but meta information of emf is lost.
Comment 14 paulystefan 2019-08-23 18:02:02 UTC Comment hidden (obsolete)
Comment 15 paulystefan 2019-08-23 18:04:08 UTC Comment hidden (obsolete)
Comment 16 paulystefan 2019-08-23 18:06:05 UTC
Created attachment 153604 [details]
export pdf in 6.3.0.4 from irfanview emf

emf to pdf problem workaround with irfanview 4.53
Comment 17 paulystefan 2019-08-23 22:48:50 UTC Comment hidden (obsolete)
Comment 18 Chris Sherlock 2019-11-19 09:38:50 UTC
I just opened the EMF file on master, and I can confirm that the graph lines are not appearing at all. However, it doesn't appear that this is being processed via the VCL EMF+ processor, nor is it being processed by drawinglayer. When I add a SAL_LOG="+INFO.emfio+WARN" it shows that emfio is actually reading the file.
Comment 19 Chris Sherlock 2019-11-22 06:30:56 UTC Comment hidden (no-value)
Comment 20 Chris Sherlock 2019-11-22 06:31:26 UTC Comment hidden (no-value)
Comment 21 paulystefan 2020-04-08 12:20:05 UTC
Created attachment 159425 [details]
load and save emf in irfanview 454

the previous file of Irfanview was a wrong download.

so Irfanview convert curves in simpler ones
Comment 22 paulystefan 2020-04-08 12:23:56 UTC
Created attachment 159426 [details]
load original and irfanview emf  in LO Draw

LO 6.4.2.2

import both emf files

original and Irfanview
Comment 23 paulystefan 2020-06-21 22:47:43 UTC
same in LO 7.0.0.0 beta2 x64 in win 10 x64

workaround with irfanview
load and save emf in irfanview, then the emf is eatable for LO
Comment 24 Bartosz 2020-11-11 23:26:22 UTC
Created attachment 167223 [details]
EMF image exported to PNG by Paint
Comment 25 Commit Notification 2020-11-14 17:11:20 UTC
Bartosz Kosiorek committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/b0b78838e795fcd7f3c53e7f74fb32b2921a5ccb

tdf#35986 tdf#92315 tdf#116335 tdf#116622 Add support for MapMode TEXT

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 26 Commit Notification 2020-11-14 17:13:55 UTC
Bartosz Kosiorek committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/eb2fdd9bc6696732fa472f6883993334898cef7a

tdf#35986 EMF import: Add support for PS_COSMETIC line style in CREATEPEN

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 27 Xisco Faulí 2020-11-16 09:14:44 UTC
Verified in

Version: 7.1.0.0.alpha1+
Build ID: 548d77d0c06f7088dd3eb408797aa1fc1d7eb277
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Bartosz, thanks for fixing this issue!!
Comment 28 Commit Notification 2020-11-16 14:32:16 UTC
Bartosz Kosiorek committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/1c399bb1dc9af8d591258e936508200d38d3bb5a

tdf#35986 tdf#92315 tdf#116335 tdf#116622 Add support for MapMode TEXT

It will be available in 7.0.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 29 Commit Notification 2020-11-17 09:07:42 UTC
Bartosz Kosiorek committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/7131d5b085bf94cef009a71b59cbdeae09acb918

tdf#35986 EMF import: Add support for PS_COSMETIC line style in CREATEPEN

It will be available in 7.0.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.